## paraclu 9

=== Makefile ===
CXX = g++
CXXFLAGS = -Wall -W -O3

all: paraclu

paraclu: paraclu.cc Makefile
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ paraclu.cc

clean: FORCE
	rm -f paraclu

log: FORCE
	hg log --style changelog > ChangeLog.txt

distdir = paraclu-`hg id -n`

dist: log
	mkdir ${distdir}
	cp *.cc *.sh *.txt Makefile ${distdir}
	zip -qrm ${distdir} ${distdir}

FORCE:

=== debian/changelog ===
paraclu (9-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:53:25 +0100

paraclu (9-2) unstable; urgency=medium

  * Team upload.
  * [692ba80] Sort out metadata between debian/upstream/metadata and d/copyright
  * [c947345] Fix watch file
  * [34b03c9] New style gbp config
  * [7e8085a] cme fix dpkg-control
               + Point VCS fields to Salsa
               + Standards-Version: 4.1.4
  * [2dc507c] debhelper 11
  * [02c17ec] Lintian override for script-with-language-extension
  * [2734571] hardening=+all
  * [c2ed054] Enable debug symbols
  * [2f4adde] Add manpage if possible

 -- Andreas Tille <tille@debian.org>  Tue, 03 Jul 2018 15:12:25 +0200

paraclu (9-1) unstable; urgency=low

  * First upload to the Debian archive, closes: #762412.

 -- Charles Plessy <plessy@debian.org>  Tue, 23 Sep 2014 19:32:34 +0900

=== debian/control ===
Source: paraclu
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~)
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/med-team/paraclu
Vcs-Git: https://salsa.debian.org/med-team/paraclu.git
Homepage: http://cbrc3.cbrc.jp/~martin/paraclu/

Package: paraclu
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Parametric clustering of genomic and transcriptomic features
 Paraclu finds clusters in data attached to sequences.  It was first
 applied to transcription start counts in genome sequences, but it
 could be applied to other things too.
 .
 Paraclu is intended to explore the data, imposing minimal prior
 assumptions, and letting the data speak for itself.
 .
 One consequence of this is that paraclu can find clusters within
 clusters.  Real data sometimes exhibits clustering at multiple scales:
 there may be large, rarefied clusters; and within each large cluster
 there may be several small, dense clusters.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_installman:
	# dh_installman is messing up .sh extension as language extension
	dh_install debian/*.1	usr/share/man/man1

=== debian/watch ===
version=4

http://cbrc3.cbrc.jp/~martin/paraclu/ paraclu-(.*).zip

## paraclu 10

=== Makefile ===
CXXFLAGS = -Wall -O3

all: paraclu

paraclu: paraclu.cc Makefile
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ paraclu.cc

clean:
	rm -f paraclu

tag:
	git tag -m "" `git rev-list HEAD^ | grep -c .`

=== debian/changelog ===
paraclu (10-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * Team Upload.
  * Fix fetch URL - paraclu has moved to gitlab
  * New upstream version 10
  * d/control: Fix homepage
  * Remove lintian override
  * d/copyright: Fix Source URL, migrate to https
  * Update upstream/metadata
  * d/p/do-not-override-cxxflags.patch: Do not override CXXFLAGS
  * Declare compliance with policy 4.5.1

  [ Shruti Sridhar ]
  * Team Upload. 
  * Add Autopkgtests
  * Add test data and examples
  * Install docs
  * Update copyright

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 23:07:40 +0530

paraclu (9-3) unstable; urgency=medium

  * Team upload.
  * Drop debian/gbp.conf
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 06 Nov 2020 14:15:47 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Uploaders: Charles Plessy <plessy@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~)
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/paraclu
 Vcs-Git: https://salsa.debian.org/med-team/paraclu.git
-Homepage: http://cbrc3.cbrc.jp/~martin/paraclu/
+Homepage: https://gitlab.com/mcfrith/paraclu
+Rules-Requires-Root: no
 
 Package: paraclu
 Architecture: any

=== debian/watch ===
version=4
https://gitlab.com/mcfrith/paraclu/-/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz
